package com.ruoyi.project.ehs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.TWasteWaterMapper;
import com.ruoyi.project.ehs.domain.TWasteWater;
import com.ruoyi.project.ehs.service.ITWasteWaterService;

/**
 * 废水风险评估Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-08
 */
@Service
public class TWasteWaterServiceImpl implements ITWasteWaterService
{
    @Autowired
    private TWasteWaterMapper tWasteWaterMapper;

    /**
     * 查询废水风险评估
     *
     * @param id 废水风险评估ID
     * @return 废水风险评估
     */
    @Override
    public TWasteWater selectTWasteWaterById(Long id)
    {
        return tWasteWaterMapper.selectTWasteWaterById(id);
    }

    /**
     * 查询废水风险评估列表
     *
     * @param tWasteWater 废水风险评估
     * @return 废水风险评估
     */
    @Override
    public List<TWasteWater> selectTWasteWaterList(TWasteWater tWasteWater)
    {
        return tWasteWaterMapper.selectTWasteWaterList(tWasteWater);
    }

    /**
     * 新增废水风险评估
     *
     * @param tWasteWater 废水风险评估
     * @return 结果
     */
    @Override
    public int insertTWasteWater(TWasteWater tWasteWater)
    {
        return tWasteWaterMapper.insertTWasteWater(tWasteWater);
    }

    /**
     * 修改废水风险评估
     *
     * @param tWasteWater 废水风险评估
     * @return 结果
     */
    @Override
    public int updateTWasteWater(TWasteWater tWasteWater)
    {
        return tWasteWaterMapper.updateTWasteWater(tWasteWater);
    }

    /**
     * 批量删除废水风险评估
     *
     * @param ids 需要删除的废水风险评估ID
     * @return 结果
     */
    @Override
    public int deleteTWasteWaterByIds(Long[] ids)
    {
        return tWasteWaterMapper.deleteTWasteWaterByIds(ids);
    }

    /**
     * 删除废水风险评估信息
     *
     * @param id 废水风险评估ID
     * @return 结果
     */
    @Override
    public int deleteTWasteWaterById(Long id)
    {
        return tWasteWaterMapper.deleteTWasteWaterById(id);
    }
}
